<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.grazie.text.TreeRuleChecker$1Cached java.util.List&lt;ai.grazie.rules.MatchingResult&gt; matches()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker.SentenceWithContent com.intellij.grazie.text.TextContent content()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.ChangeLanguageVariant com.intellij.grazie.jlanguage.Lang to()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent.Exclusion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5457.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner.GrazieProblemDescriptor GrazieProblemDescriptor(com.intellij.psi.PsiElement, java.lang.String, com.intellij.openapi.util.TextRange, boolean, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent int[] markupOffsets()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner com.intellij.grazie.text.SuppressionPattern defaultSuppressionPattern(com.intellij.grazie.text.TextProblem, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem TextProblem(com.intellij.grazie.text.Rule, com.intellij.grazie.text.TextContent, java.util.List&lt;com.intellij.openapi.util.TextRange&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.6777.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent java.util.List&lt;com.intellij.openapi.util.TextRange&gt; intersection(com.intellij.openapi.util.TextRange)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.7172.25&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.SuppressionPattern java.lang.String getFull()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContentBuilder com.intellij.grazie.text.TextContentBuilder withMarkup(java.util.function.Predicate&lt;com.intellij.psi.PsiElement&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker.TreeProblem.MySuggestion ai.grazie.gec.model.problem.ProblemFix fix()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.StrategyTextExtractor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.Rule java.lang.String getSearchableDescription()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.6461.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextExtractor com.intellij.grazie.text.TextContent findTextAt(com.intellij.psi.PsiFile, int, java.util.Set&lt;com.intellij.grazie.text.TextContent.TextDomain&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContentModificationTrackerProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.RuleGroup SENTENCE_BOUNDARY_PUNCTUATION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem java.lang.String getTooltipTemplate()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CodeProblemFilter boolean shouldSuppressInText(com.intellij.grazie.text.TextContent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner void run(java.util.List&lt;? extends com.intellij.grazie.text.TextChecker&gt;, kotlin.jvm.functions.Function1&lt;? super com.intellij.grazie.text.TextProblem,kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5712.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner void run(java.util.List&lt;? extends com.intellij.grazie.text.TextChecker&gt;, kotlin.jvm.functions.Function1&lt;? super com.intellij.grazie.text.TextProblem,kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent com.intellij.grazie.text.TextContent excludeRanges(java.util.List&lt;com.intellij.grazie.text.TextContent.Exclusion&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5457.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.RuleGroup">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker.TreeProblem.MySuggestion com.intellij.grazie.text.TextContent text()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker$1Cached int hashCode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker.SentenceWithContent ai.grazie.rules.document.DocumentSentence.Analyzed sentence()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem boolean isStyleLike()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.RuleGroup CASING">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.ChangeLanguageVariant boolean wasOxford()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent int[] unknownOffsets()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.LiteralProblemFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker.SentenceWithContent int contentStart()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.ProblemFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.EventuallyConsistentTextExtractor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent com.intellij.grazie.text.TextContent removeLineSuffixes(java.util.Set&lt;java.lang.Character&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.7172.25&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.ChangeLanguageVariant com.intellij.grazie.jlanguage.Lang from()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.ChangeLanguageVariant java.lang.String text()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner.GrazieProblemDescriptor void setQuickFixes(com.intellij.codeInspection.LocalQuickFix[])">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker$1Cached java.lang.String toString()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent com.intellij.grazie.text.TextContent joinWithWhitespace(char, java.util.List&lt;? extends com.intellij.grazie.text.TextContent&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5712.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextExtractor java.util.List&lt;com.intellij.grazie.text.TextContent&gt; buildTextContents(com.intellij.psi.PsiElement, java.util.Set&lt;com.intellij.grazie.text.TextContent.TextDomain&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.ExternalTextChecker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5457.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.AsyncTreeRuleChecker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.SuppressionPattern java.lang.String getSentenceText()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CachedResults long getConfigStamp()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CachedResults com.intellij.grazie.text.CachedResults copy(long, java.util.List&lt;? extends com.intellij.grazie.text.TextProblem&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem boolean shouldSuppressInCodeLikeFragments()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.SuppressionPattern">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextExtractor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent.WithMarkup">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner java.lang.String findSentence(com.intellij.grazie.text.TextProblem)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextExtractor java.util.List&lt;com.intellij.grazie.text.TextContent&gt; buildTextContentsTestAccessor(com.intellij.psi.PsiElement, java.util.Set&lt;com.intellij.grazie.text.TextContent.TextDomain&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker.SentenceWithContent boolean equals(java.lang.Object)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner.GrazieProblemDescriptor com.intellij.codeInspection.LocalQuickFix[] getQuickFixes()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem java.util.List&lt;com.intellij.openapi.util.TextRange&gt; getHighlightRanges()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.6777.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.RuleGroup LITERALS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CommentProblemFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent.ExclusionKind">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent com.intellij.grazie.text.TextContent removeIndents(java.util.Set&lt;java.lang.Character&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5457.46&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextChecker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem.Suggestion java.lang.String getBatchId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent com.intellij.grazie.text.TextContent.WithMarkup replaceMarkupWith(char)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker.SentenceWithContent int hashCode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem.Suggestion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CachedResults CachedResults(long, java.util.List&lt;? extends com.intellij.grazie.text.TextProblem&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.ChangeLanguageVariant boolean toOxford()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CachedResults long component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.Rule com.intellij.pom.Navigatable editSettings()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5080.55&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker.SentenceWithContent int docSentenceOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CodeProblemFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.7172.25&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContentBuilder com.intellij.grazie.text.TextContentBuilder removingLineSuffixes(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.7172.25&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker.SentenceWithContent java.lang.String toString()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.ProblemFilter java.util.stream.Stream&lt;com.intellij.grazie.text.ProblemFilter&gt; allIgnoringFilters(com.intellij.grazie.text.TextProblem)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContentBuilder com.intellij.grazie.text.TextContent build(com.intellij.psi.PsiElement, com.intellij.grazie.text.TextContent.TextDomain, com.intellij.openapi.util.TextRange)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextExtractor java.util.Set&lt;com.intellij.grazie.text.TextContent&gt; findAllTextContents(com.intellij.psi.FileViewProvider, java.util.Set&lt;com.intellij.grazie.text.TextContent.TextDomain&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.SuppressionPattern java.lang.String getErrorText()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextExtractor java.util.List&lt;com.intellij.grazie.text.TextContent&gt; findTextsExactlyAt(com.intellij.psi.PsiElement, java.util.Set&lt;com.intellij.grazie.text.TextContent.TextDomain&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContentBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunnerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.ChangeLanguageVariant void applyFix(com.intellij.openapi.project.Project, com.intellij.codeInspection.ProblemDescriptor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent.Exclusion kind">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker$1Cached java.util.List&lt;com.intellij.grazie.rule.ParsedSentence&gt; sentences()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent com.intellij.grazie.text.TextContent subText(com.intellij.openapi.util.TextRange)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5787.30&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem java.util.List&lt;com.intellij.grazie.text.TextProblem.Suggestion&gt; getSuggestions()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent com.intellij.psi.PsiFile getContainingFile()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5080.55&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CodeProblemFilter.InPlainText">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner java.util.List&lt;com.intellij.codeInspection.ProblemDescriptor&gt; toProblemDescriptors(com.intellij.grazie.text.TextProblem, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.5712.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.PlainTextExtractor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextExtractor EP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.RuleGroup PUNCTUATION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CodeProblemFilter.InDocumentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CachedResults java.util.List&lt;com.intellij.grazie.text.TextProblem&gt; getProblems()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.Rule java.util.List&lt;java.lang.String&gt; getCategories()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.7172.25&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextExtractor java.util.List&lt;com.intellij.grazie.text.TextContent&gt; findUniqueTextsAt(com.intellij.psi.PsiElement, java.util.Set&lt;com.intellij.grazie.text.TextContent.TextDomain&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextContent.Exclusion Exclusion(int, int, com.intellij.grazie.text.TextContent.ExclusionKind)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.8836.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextExtractor java.util.List&lt;com.intellij.grazie.text.TextContent&gt; findTextsAt(com.intellij.psi.PsiElement, java.util.Set&lt;com.intellij.grazie.text.TextContent.TextDomain&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.Rule">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.Rule Rule(java.lang.String, java.lang.String, java.util.List&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.7172.25&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CachedResults java.util.List&lt;com.intellij.grazie.text.TextProblem&gt; component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TextProblem java.util.List&lt;com.intellij.codeInspection.LocalQuickFix&gt; getCustomFixes()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner java.util.List&lt;com.intellij.grazie.text.TextProblem&gt; run()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.CheckerRunner com.intellij.codeInspection.LocalQuickFix[] toFixes(com.intellij.grazie.text.TextProblem, com.intellij.codeInspection.ProblemDescriptor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.grazie.text.TreeRuleChecker$1Cached boolean equals(java.lang.Object)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
</root>
